Battlefront and gameranger...help

Discussion in 'Games' started by silverback66, Dec 8, 2005.

  1. silverback66 macrumors regular

    Joined:
    Sep 18, 2005
    Location:
    CO
    #1
    I'm trying to play online and although I just updated it whenever I try to join an online game it tells me I need to update to 1.2A which is exactly what the game tells me the current version is. Any help with this would be appreciated.
     
  2. silverback66 thread starter macrumors regular

    Joined:
    Sep 18, 2005
    Location:
    CO
  3. yellow Moderator emeritus

    yellow

    Joined:
    Oct 21, 2003
    Location:
    Portland, OR
    #3
    Did you look at the Aspyr Support website?

    Not quite your issue, but is that the version you're running? Have you emailed them for support?
     

Share This Page